# GPTConnect

![Downloads](https://img.shields.io/badge/dynamic/json?url=https%3A%2F%2Fapi.pepy.tech%2Fapi%2Fv2%2Fprojects%2Fgptconnect&query=total_downloads&label=downloads&color=success)
![Version](https://img.shields.io/pypi/v/gptconnect?label=version&color=blue)

GPTConnect is a Python 🐍 package that simplifies the use of the new functions feature of ChatGPT by OpenAI. It provides an easy-to-use framework for creating and interacting with GPT functions, making your development process smoother and more efficient.

Make sure to star this project if you find it useful! ✨

If you have any ideas, bug reports or suggestions feel free to open an issue or contact me on discord at @**sleepystew**

## 🔧 Features

- 🎉 Simplified and intuitive decorator based system to define GPT functions.
- 🔤 Function groups system that allows for easy integration of multiple commands.
- 🕐 More features coming soon! This package is only in early stages of development.

## 🚀 Install
`pip install GPTConnect`

## Example Usage
[example-simple.py](https://github.com/SleepyStew/gptconnect/blob/master/example-simple.py)

[example-advanced.py](https://github.com/SleepyStew/gptconnect/blob/master/example-advanced.py)

## Docs
The majority of documentation is embedded within the package through things like type hints, if this package gains more traction I may create a separate website for docs.

[OpenAI's Function calling docs](https://platform.openai.com/docs/guides/gpt/function-calling)
